Subject: Re: Fe-chelate

From: [email-masked] (Walter Schmid)
Date: 13 Mar 1995 12:02:31 -0800

Reply         RE>Fe-chelate
Mr. Daines: 

With respect to your inquiry about Fe-EDTA, the recipe for making it
originally was published in a paper by Louis Jacobson in Plant Physiology
many years ago. 
Actually, you can obtain iron chelates with EDTA or most of its many
relatives from CIBA-Geigy or by looking at pages around p 419 in the 1995
catalog from Sigma. #E5141 might be the one you are seeking. 

Walter E. Schmid 
Plant Biology
SIUC

InRe: Fe-chelate